# Visualization
TKService
AlienImage

# AlienImage_SunRFAlienImage Class Reference

Defines a SunRF Alien image, i.e. an image using the
image format for SUN workstations.
.

`#include <AlienImage_SunRFAlienImage.hxx>`

Inheritance diagram for AlienImage_SunRFAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_SunRFAlienImage ()
| Constructs an empty SunRF alien image. .
Standard_EXPORT void | Clear ()
| Frees memory allocated by SunRFAlienImage .
Standard_EXPORT Handle_Image_Image | ToImage () const
| Converts a SunRFAlienImage object to a Image object. .
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| Converts an Image object to a SunRFAlienImage object. .
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Reads the content of a SunRFAlienImage object from a file Returns True if file is a XWD file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Writes content of a SunRFAlienImage object to a file .
Standard_EXPORT void | SetFormat (const AlienImage_SUNRFFormat aFormat)
| Sets the SUN Raster File Format for Write method. .
Standard_EXPORT AlienImage_SUNRFFormat | Format () const
| Returns the SUN Raster File Format . .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_SunRFAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_SunRFAlienImage::AlienImage_SunRFAlienImage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void AlienImage_SunRFAlienImage::Clear | ( |  | ) |

Standard_EXPORT AlienImage_SUNRFFormat AlienImage_SunRFAlienImage::Format | ( |  | ) | const

Standard_EXPORT void AlienImage_SunRFAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_SunRFAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_SunRFAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT void AlienImage_SunRFAlienImage::SetFormat | ( | const AlienImage_SUNRFFormat | aFormat | ) |

Standard_EXPORT Handle_Image_Image AlienImage_SunRFAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_SunRFAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_SunRFAlienData AlienImage_SunRFAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_SunRFAlienImage.hxx